Assign a vacancy

This endpoint allows assigning a previously published vacancy to an employee.

POST /api/v1/businesses/{business}/vacancies/{vacancy}/acceptor/{employee}

The data that needs to be included in the request are as follows:

  • business: external identifier configured in Orquest for the business.

  • vacancy: external identifier of the vacancy. It must be set when creating vacancies via API; if the vacancy is created manually, the external identifier is generated automatically.

  • employee: external identifier of the employee to whom the vacancy is to be assigned.

Considerations

If the request data is correct, an assignment with the Vacancy task will be created and the employee’s name will be added in the Accepted by column under Scheduling > Vacant offers.

This request does not check that the employee was among those originally offered the vacancy (the employees field of registering a vacancy). It is recommended to check on your own, before assigning, that the specified employee is one of those listed in the original offer.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

404 Not Found

Vacancy not found

The vacancy identifier does not exist.

400 Bad Request

Vacancy already assigned

The vacancy has already been accepted by another employee.

Vacancy expired

The vacancy deadline (expiration) has already passed.

Vacancy overlapped by person incidence

The vacancy overlaps with an incidence of the employee.

What is a vacancy?